Public Member Functions | Public Attributes | Friends | List of all members
MsWks4TextInternal::DataPLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions
| DataPLC ()
| constructor More...

## Public Attributes
std::string | m_name
| the entry name More...
PLCType | m_type
| the type More...
long | m_value
| a potential value More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< More...

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

## ◆ DataPLC()

MsWks4TextInternal::DataPLC::DataPLC | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_error

std::string MsWks4TextInternal::DataPLC::m_error

a string used to store the parsing errors

Referenced by MsWks4TextInternal::operator<<(), and MsWks4Text::readPLC().

## ◆ m_name

std::string MsWks4TextInternal::DataPLC::m_name

the entry name

Referenced by MsWks4TextInternal::operator<<(), and MsWks4Text::readPLC().

## ◆ m_type

PLCType MsWks4TextInternal::DataPLC::m_type

the type

Referenced by MsWks4Text::readPLC().

## ◆ m_value

long MsWks4TextInternal::DataPLC::m_value

a potential value

Referenced by MsWks4TextInternal::operator<<(), and MsWks4Text::readPLC().

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx